/* --- EVENTS STYLES --- */
.calendar {
    table-layout: fixed;
}
.calendar th {
    padding: 8px 2px;
    text-align: center;
    font-size: 18px;
    font-weight: 500;
}
.calendar td {
    text-align: center;
    width: auto;
    height: 128px;
    padding: 4px;
}
.date {
    font-size: 16px;
}
.date-today {
    background: #ffffcc;
}
.events-header {
    width: 100%;
    display: inline-flex;
    align-items: center;
    justify-content: space-between;
}
a {
    color: #0073e5;
}
.calendar-event {
    display: none;
    color: white;
    border: 4px solid #0073e5;
    border-radius: 0.25rem;
    background-color: #0073e5;
    margin-top: 4px;
    margin-bottom: 4px;
    vertical-align: middle;
    text-overflow: ellipsis;
    white-space: nowrap;
    font-size: 12px;
    overflow: clip;
}
.calendar-event:hover {
    text-decoration: none;
    color: white;
    border: 4px solid #0059b3;
    background-color: #0059b3;
}
.calendar-event-mobile {
    display: block;
    font-size: 32px;
    line-height: 0;
    margin: 0.25rem;
    margin-left: 0;
    margin-right: 0;
}
.events-header > h1 {
    font-size: 2rem;
}
@media (min-width: 512px) {
    .events-header > h1{
        font-size: 2.5rem;
    }
}
@media (min-width: 992px) {
    .calendar-event {
        display: block;
    }
    .calendar-event-mobile {
        display: none;
    }
    .calendar td {
        text-align: left;
    }
}
/* .day-table {
    cursor: pointer;
} */
@media (min-width: 992px) {
    .btn-calendar {
        display: none;
    }
    .day-table:hover .btn-calendar  {
        display: block;
    }
    .date-today:hover .btn-calendar {
        display: block;
    }
}
.btn-calendar {
    display: none;
    z-index: 2;
    height: 24px;
    float: right;
    text-align: center;
}